<?php
/**
 * Plugin Name: WP Auto Select First Variant (EasyToolsWP)
 * Description: Automatically selects the first variant on product pages in WooCommerce, ensuring a price is always displayed.
 * Version: 1.0
 * Author: EasyToolsWP
 * Text Domain: wp-auto-select-first-variant
 */

if (!defined('ABSPATH')) {
    exit; // Prevent direct access.
}

// Enqueue the inline JavaScript on product pages
function wp_auto_select_first_variant_enqueue_script() {
    if (is_product()) {
        // Add inline JavaScript to the page
        wp_add_inline_script(
            'jquery',
            '
            jQuery(document).ready(function($) {
                $(".variations_form").each(function() {
                    $(this).find("select").each(function() {
                        $(this).val($(this).find("option:first").val()).trigger("change");
                    });
                });
            });
            '
        );
    }
}
add_action('wp_enqueue_scripts', 'wp_auto_select_first_variant_enqueue_script');
